minetest.register_alias("mapgen_stone", "main:stone")
minetest.register_alias("mapgen_dirt", "main:dirt")
minetest.register_alias("mapgen_dirt_with_grass", "main:grass")
minetest.register_alias("mapgen_sand", "main:sand")
minetest.register_alias("mapgen_water_source", "main:water_source")
minetest.register_alias("mapgen_river_water_source", "main:water_source")
minetest.register_alias("mapgen_lava_source", "main:lava_source")

--Grasslands
minetest.register_biome(
   {
      name = "Grasslands",

      node_top = "main:grass",
      node_filler = "main:dirt",

	  depth_top = 1,
      depth_filler = 1,

      y_min = 1,
      y_max = 30,

      heat_point = 60,
      humidity_point = 30,
})

--Forest
minetest.register_biome(
   {
      name = "Forest",

      node_top = "main:grass_forest",
      node_filler = "main:dirt",

	  depth_top = 1,
      depth_filler = 3,

      y_min = 10,
      y_max = 20,

      heat_point = 60,
      humidity_point = 40,
})

--Mountains
minetest.register_biome(
   {
      name = "Mountains",

      node_top = "main:cobble",
      node_filler = "main:stone",

	  depth_top = 10,
      depth_filler = 1,

      y_min = 15,
      y_max = 30000,

      heat_point = 40,
      humidity_point = 60,
})


-------
--Decor
-------
--Oak Tree
minetest.register_decoration(
   {
      deco_type = "schematic",
      place_on = {"main:grass"},
      rotation = "random",
      sidelen = 16,
      fill_ratio = 0.004,
      biomes = {"Grasslands"},
      flags = "place_center_x, place_center_z",
      schematic = minetest.get_modpath("main")
         .. "/schematics/main_tree_oak.mts",
      y_min = 1,
      y_max = 32000,
})

--Oak Tree (forest)
minetest.register_decoration(
   {
      deco_type = "schematic",
      place_on = {"main:grass_forest"},
      rotation = "random",
      sidelen = 16,
      fill_ratio = 0.1,
      biomes = {"Forest"},
      flags = "place_center_x, place_center_z",
      schematic = minetest.get_modpath("main")
         .. "/schematics/main_tree_oak.mts",
      y_min = 1,
      y_max = 32000,
})
