minetest.register_node("main:dirt", {
	description = "Dirt",
	tiles = {"main_dirt.png"},
	groups = {crumbly = 3},
})

minetest.register_node("main:stone", {
	description = "Stone",
	tiles = {"main_stone.png"},
	groups = {cracky = 3},
})

minetest.register_node("main:cobble", {
	description = "Cobble",
	tiles = {"main_cobble.png"},
	groups = {cracky = 2},
})

minetest.register_node("main:grass", {
	description = "Dirt with Grass",
	tiles = {"main_grass.png", "main_dirt.png",
	{name = "main_dirt.png^main_grass_side.png",
	tileable_vertical = false}},
	groups = {crumbly = 2, snappy = 2},
})

minetest.register_node("main:grass_forest", {
	description = "Dirt with Forest Grass",
	tiles = {"main_grass_forest.png", "main_dirt.png",
	{name = "main_dirt.png^main_grass_forest_side.png",
	tileable_vertical = false}},
	groups = {crumbly = 2, snappy = 2},
})

minetest.register_node("main:sand", {
	description = "Sand",
	tiles = {"main_sand.png"},
	groups = {crumbly = 3, falling_node = 1, sand = 1},
})

--Oak Planks
minetest.register_node("main:planks_oak", {
	description = "Oak Wood Planks",
	tiles = {"main_planks_oak.png"},
	groups = {choppy = 2},
})

--Oak Log
minetest.register_node("main:log_oak", {
	description = "Oak Log",
	tiles = {"main_log_oak.png"},
	groups = {choppy = 2},
})

--Oak Leaves
minetest.register_node("main:leaves_oak", {
	drawtype = "allfaces",
	paramtype = "light",
	light_propagates = true,
	sunlight_propagates = true,
	walkable = false,
	is_ground_content = false,
	description = "Oak Leaves",
	tiles = {"main_leaves_oak.png"},
	groups = {snappy = 2},
})

--Spikes
minetest.register_node("main:spiked_wire", {
	drawtype = "plantlike",
	damage_per_second = 2 * 4,
	paramtype = "light",
	light_propagates = true,
	sunlight_propagates = true,
	walkable = false,
	is_ground_content = false,
	description = "Spiked Wire",
	tiles = {"main_spikedwire.png"},
	groups = {cracky = 2},
})

--WATER
minetest.register_node("main:water_source", {
	description = "Water Source",
	drawtype = "liquid",
	paramtype = "light",
	
	tiles = {
		{
			name = "main_water_source_animated.png",
			animation = {
				type = "vertical_frames",
				aspect_w = 16,
				aspect_h = 16,
				length = 2.0,
			},
		},
	},
	alpha = 180,
	post_effect_color = {a = 50, r = 0, g = 50, b = 200},
	
	--Behavior
	walkable = false,
	pointable = false,
	buildable_to = true,
	diggable = false,
	is_ground_content = false,
	
	--Properties
	liquid_range = 14,
	liquid_viscosity = 0.1,
	drowning = 1,
	liquidtype = "source",
	liquid_alternative_flowing = "main:water_flowing",
	liquid_alternative_source = "main:water_source",
	groups = {liquid = 3, water = 1},
})

minetest.register_node("main:water_flowing", {
	description = "Flowing Water",
	drawtype = "flowingliquid",
	paramtype = "light",
	
	tiles = {
		{
			name = "main_water_flowing_animated.png",
			animation = {
				type = "vertical_frames",
				aspect_w = 16,
				aspect_h = 16,
				length = 2.0,
			},
		},
	},
	
	special_tiles = {
        {
            name = "main_water_flowing_animated.png",
            animation = {type = "vertical_frames", aspect_w = 16,
            aspect_h = 16, length = 2.0},
            backface_culling = true,
        },
        
        {
            name = "main_water_flowing_animated.png",
            animation = {type = "vertical_frames", aspect_w = 16,
            aspect_h = 16, length = 2.0},
            backface_culling = false,
        }
    },
	
	alpha = 180,
	post_effect_color = {a = 50, r = 0, g = 50, b = 200},
	
	--Behavior
	walkable = false,
	pointable = false,
	buildable_to = true,
	diggable = false,
	is_ground_content = false,
	
	--Properties
	liquid_range = 14,
	liquid_viscosity = 0.1,
	drowning = 1,
	liquidtype = "flowing",
	liquid_alternative_flowing = "main:water_flowing",
	liquid_alternative_source = "main:water_source",
	groups = {liquid = 3, water = 1},
})

--Water Pump
minetest.register_node("main:waterpump", {
	drawtype = "mesh",
	paramtype = "light",
	light_propagates = true,
	sunlight_propagates = true,
	walkable = true,
	is_ground_content = false,
	description = "Water Pump",
	mesh = "main_waterpump.obj",
	tiles = {"main_waterpump.png"},
	groups = {cracky = 2},
})

minetest.register_node("main:waterwell", {
	description = "Water Well",
	tiles = {"main_waterwell_side.png"},
	groups = {cracky = 1},
})

minetest.register_node("main:glass",{
		drawtype = "glasslike",
		paramtype = "light",
		description = "Glass",
		tiles = {"main_glass.png"},
		
		
		groups = {cracky = 3},
})
